<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Pelaporan extends Model
{
    use HasFactory;
    protected $fillable = [
        'judul',
        'keterangan',
        'tanggal',
        'lokasi',
        'status',
        'saran',
        'foto',
        'user_id',
        'tindakan_id',
    ];

    public function tindakan(){
        return $this->belongsTo(Tindakan::class,'tindakan_id');
    }

    public function user(){
        return $this->belongsTo(User::class,'user_id');
    }



}
